Package be.e_contract.ejsf.component.performance

# Class PerformanceNavigationTimingEvent

java.lang.Object
java.util.EventObject
javax.faces.event.FacesEvent
javax.faces.event.BehaviorEvent
javax.faces.event.AjaxBehaviorEvent
be.e_contract.ejsf.component.performance.PerformanceNavigationTimingEvent

All Implemented Interfaces:
  `Serializable`

public class PerformanceNavigationTimingEvent extends javax.faces.event.AjaxBehaviorEvent

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PerformanceNavigationTimingEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getDomComplete()`
`double`
`getDomInteractive()`
`double`
`getDuration()`
`double`
`getLoadEventEnd()`
`double`
`getLoadEventStart()`
`String`
`getName()`
`double`
`getRequestStart()`
`double`
`getResponseEnd()`
`double`
`getResponseStart()`
`double`
`getStartTime()`

### Methods inherited from class javax.faces.event.AjaxBehaviorEvent

`isAppropriateListener, processListener`

### Methods inherited from class javax.faces.event.BehaviorEvent

`getBehavior`

### Methods inherited from class javax.faces.event.FacesEvent

`getComponent, getFacesContext, getPhaseId, queue, setPhaseId`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### PerformanceNavigationTimingEvent

public PerformanceNavigationTimingEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior)

## Method Details

### getStartTime

public double getStartTime()

### getDuration

public double getDuration()

### getLoadEventStart

public double getLoadEventStart()

### getLoadEventEnd

public double getLoadEventEnd()

### getDomInteractive

public double getDomInteractive()

### getDomComplete

public double getDomComplete()

### getRequestStart

public double getRequestStart()

### getResponseStart

public double getResponseStart()

### getResponseEnd

public double getResponseEnd()

### getName

public String getName()